diff --git a/.gitignore b/.gitignore
index 32e5e12..38acc6e 100644
--- a/.gitignore
+++ b/.gitignore
@@ -2,6 +2,8 @@
 *.md
 # Include the README
 !README.md
+# ..  but ignore READMEs in the build folder
+build/README.md
 # And the Module API Docs
 !Module_API_Docs.md
 # And the changelog
diff --git a/build/index.php b/build/index.php
index 3dc875b..de3b587 100644
--- a/build/index.php
+++ b/build/index.php
@@ -779,6 +779,22 @@ function system_extension_mime_type($ext) {
     return isset($types[$ext]) ? $types[$ext] : null;
 }
 
+function stack_trace($log_trace = true)
+{
+	$result = "";
+	$stackTrace = debug_backtrace();
+	$stackHeight = count($stackTrace);
+	foreach ($stackTrace as $i => $stackEntry)
+	{
+		$result .= "#" . ($stackHeight - $i) . " - " . $stackEntry["file"] . ":" . $stackEntry["line"] . " (" . $stackEntry["function"] . ":" . count($stackEntry["args"]) . ")\n";
+	}
+	
+	if($log_trace)
+		error_log($result);
+	
+	return $result;
+}
+
 ///////////////////////////////////////////////////////////////////////////////
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -1339,7 +1355,6 @@ $actions = new stdClass();
 function add_action($action_name, $func)
 {
 	global $actions;
-	//echo("adding $action_name\n");
 	$actions->$action_name = $func;
 }
 
@@ -3303,7 +3318,13 @@ register_module([
 			$pagedata = $_POST["content"];
 			// Santise it if necessary
 			if($settings->clean_raw_html)
+			{
 				$pagedata = htmlentities($pagedata, ENT_QUOTES);
+				// Un-sanitize greater than signs ('>') as these are commonly
+				// used for blockquotes. This should be a security risk as it is
+				// the less than sign ('<') that is used to open HTML tags.
+				$pagedata = str_replace("&gt;", ">", $pagedata);
+			}
 			
 			// Read in the new page tags, so long as there are actually some tags to read in
 			$page_tags = [];
diff --git a/core.php b/core.php
index 40a4f00..1d8386c 100644
--- a/core.php
+++ b/core.php
@@ -375,6 +375,22 @@ function system_extension_mime_type($ext) {
     return isset($types[$ext]) ? $types[$ext] : null;
 }
 
+function stack_trace($log_trace = true)
+{
+	$result = "";
+	$stackTrace = debug_backtrace();
+	$stackHeight = count($stackTrace);
+	foreach ($stackTrace as $i => $stackEntry)
+	{
+		$result .= "#" . ($stackHeight - $i) . " - " . $stackEntry["file"] . ":" . $stackEntry["line"] . " (" . $stackEntry["function"] . ":" . count($stackEntry["args"]) . ")\n";
+	}
+	
+	if($log_trace)
+		error_log($result);
+	
+	return $result;
+}
+
 ///////////////////////////////////////////////////////////////////////////////
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -935,7 +951,6 @@ $actions = new stdClass();
 function add_action($action_name, $func)
 {
 	global $actions;
-	//echo("adding $action_name\n");
 	$actions->$action_name = $func;
 }
 
diff --git a/module_index.json b/module_index.json
index 6154f19..fe913f9 100644
--- a/module_index.json
+++ b/module_index.json
@@ -104,7 +104,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Allows you to edit pages by adding the edit and save actions. You should probably include this one.",
         "id": "page-edit",
-        "lastupdate": 1460044396,
+        "lastupdate": 1460142693,
         "optional": false
     },
     {
@@ -194,7 +194,7 @@
         "author": "Emanuil Rusev & Starbeamrainbowlabs",
         "description": "An upgraded (now default!) parser based on Emanuil Rusev's Parsedown Extra PHP library (https:\/\/github.com\/erusev\/parsedown-extra), which is licensed MIT. Please be careful, as this module adds a some weight to your installation, and also *requires* write access to the disk on first load.",
         "id": "parser-parsedown",
-        "lastupdate": 1460105270,
+        "lastupdate": 1460137501,
         "optional": false
     }
 ]
\ No newline at end of file
diff --git a/modules/page-edit.php b/modules/page-edit.php
index d4ed3f0..ae374bd 100644
--- a/modules/page-edit.php
+++ b/modules/page-edit.php
@@ -125,7 +125,13 @@ register_module([
 			$pagedata = $_POST["content"];
 			// Santise it if necessary
 			if($settings->clean_raw_html)
+			{
 				$pagedata = htmlentities($pagedata, ENT_QUOTES);
+				// Un-sanitize greater than signs ('>') as these are commonly
+				// used for blockquotes. This should be a security risk as it is
+				// the less than sign ('<') that is used to open HTML tags.
+				$pagedata = str_replace("&gt;", ">", $pagedata);
+			}
 			
 			// Read in the new page tags, so long as there are actually some tags to read in
 			$page_tags = [];
